
Infrastructure - Task #3714

Update one-mercury to handle UTF-8

2013-04-16 19:41 - Skye Roseboom

Status: Closed Start date: 2013-04-16

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: 2013.16-Block.2.4   

Milestone: None Story Points:  

Product Version: *   

Description

During testing of the TFRI test MN it was discovered that several areas of one-mercury were not properly displaying/handling UTF-8

encoded strings:

1.) Search result display not rendering chinese characters properly.

2.) Search terms not handled as UTF-8 when chinese characters used to search.

3.) Facets on search results not behaving as expected when composed of chinese characters.

1, 2 have been fixed on trunk.  Working on 3.

History

#1 - 2013-04-23 18:03 - Skye Roseboom

Removed all remaining references to and uses of ISO character encoding found in xsl transform files, jsp files.

Also updated tomcat conf - server.xml by adding the  URIEncoding="UTF-8"  setting to the  elements (both 8080 and the ajp connector).  This

immediately fixed issues with search and facets in one-mercury as the chinese characters were not being received by solr endpoint properly due to

the default tomcat encoding of ISO-8859-1.

These configuration changes will need to be reflected in the os buildout debian package most likely.

#2 - 2013-05-07 16:54 - Skye Roseboom

- Status changed from In Progress to Testing

#3 - 2013-05-13 23:33 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

Deployed updates to all three CN.
